libzypp: zypp::MirroredOrigin::iter< Parent, Value > Class Template Reference

libzypp 17.38.6

zypp::MirroredOrigin::iter< Parent, Value > Class Template Reference

`#include <zypp-core/MirroredOrigin.h>`

Inheritance diagram for zypp::MirroredOrigin::iter< Parent, Value >:

## Public Member Functions
| iter ()
| iter (Parent *list, uint idx)

## Private Member Functions
bool | equal (iter< Parent, Value > const &other) const
void | increment ()
Value & | dereference () const

## Private Attributes
Parent * | _list = nullptr
uint | _idx = 0

## Friends
class | boost::iterator_core_access

## Detailed Description

template<class Parent, class Value>
class zypp::MirroredOrigin::iter< Parent, Value >

Definition at line 174 of file MirroredOrigin.h.

## Constructor & Destructor Documentation

## ◆ iter() [1/2]

template<class Parent, class Value>

zypp::MirroredOrigin::iter< Parent, Value >::iter | ( |  | ) |
| inline

Definition at line 181 of file MirroredOrigin.h.

## ◆ iter() [2/2]

template<class Parent, class Value>

zypp::MirroredOrigin::iter< Parent, Value >::iter | ( | Parent * | list,
|  | uint | idx )
| inlineexplicit

Definition at line 183 of file MirroredOrigin.h.

## Member Function Documentation

## ◆ equal()

template<class Parent, class Value>

bool zypp::MirroredOrigin::iter< Parent, Value >::equal | ( | iter< Parent, Value > const & | other | ) | const
| inlineprivate

Definition at line 191 of file MirroredOrigin.h.

## ◆ increment()

template<class Parent, class Value>

void zypp::MirroredOrigin::iter< Parent, Value >::increment | ( |  | ) |
| inlineprivate

Definition at line 196 of file MirroredOrigin.h.

## ◆ dereference()

template<class Parent, class Value>

Value & zypp::MirroredOrigin::iter< Parent, Value >::dereference | ( |  | ) | const
| inlineprivate

Definition at line 206 of file MirroredOrigin.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

template<class Parent, class Value>

friend class boost::iterator_core_access
| friend

Definition at line 189 of file MirroredOrigin.h.

## Member Data Documentation

## ◆ _list

template<class Parent, class Value>

Parent* zypp::MirroredOrigin::iter< Parent, Value >::_list = nullptr
| private

Definition at line 213 of file MirroredOrigin.h.

## ◆ _idx

template<class Parent, class Value>

uint zypp::MirroredOrigin::iter< Parent, Value >::_idx = 0
| private

Definition at line 214 of file MirroredOrigin.h.

The documentation for this class was generated from the following file:

- zypp-core/MirroredOrigin.h